OptMapInfo Struct Reference

## Data Fields

MinMaxLen | mmd
OptAncInfo | anc
int | value
UChar | map [ONIG_CHAR_TABLE_SIZE]

## Detailed Description

Definition at line 3996 of file regcomp.c.

## Field Documentation

OptAncInfo OptMapInfo::anc

Definition at line 3998 of file regcomp.c.

Referenced by alt_merge_opt_map_info(), concat_left_node_opt_info(), and set_optimize_info_from_tree().

UChar OptMapInfo::map[ONIG_CHAR_TABLE_SIZE]

Definition at line 4001 of file regcomp.c.

Referenced by add_char_opt_map_info(), alt_merge_opt_map_info(), and set_optimize_map_info().

MinMaxLen OptMapInfo::mmd

Definition at line 3997 of file regcomp.c.

Referenced by alt_merge_opt_map_info(), comp_opt_exact_or_map_info(), concat_left_node_opt_info(), select_opt_map_info(), set_bound_node_opt_info(), and set_optimize_map_info().

int OptMapInfo::value

Definition at line 4000 of file regcomp.c.

Referenced by add_char_opt_map_info(), alt_merge_opt_map_info(), comp_opt_exact_or_map_info(), concat_left_node_opt_info(), optimize_node_left(), select_opt_map_info(), and set_optimize_info_from_tree().

The documentation for this struct was generated from the following file:

- regcomp.c